Bug 757870 - (sweeper) Review Request: sweeper - Clean unwanted traces the user leaves on the system
Review Request: sweeper - Clean unwanted traces the user leaves on the system
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kde-4.8
  Show dependency treegraph
 
Reported: 2011-11-28 15:51 EST by Rex Dieter
Modified: 2011-12-14 11:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-14 11:01:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cwickert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-11-28 15:51:56 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdeutils/sweeper.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdeutils/sweeper-4.7.80-1.fc16.src.rpm
Description:
Sweeper helps to clean unwanted traces the user leaves on the system.


NOTE: This is being split out in kde-4.7.80 from previously monolithic kdeutils
package.
Comment 1 Christoph Wickert 2011-11-28 16:12:48 EST
I'll review this.
Comment 2 Christoph Wickert 2011-11-28 17:41:33 EST
REVIEW FOR 646c961a3bcdbf42a42a7186ea48c8ea  sweeper-4.7.80-1.fc16.src.rpm


MUST items

FIX - MUST: rpmlint output:

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/sweeper-*
sweeper.src:9: W: macro-in-comment %{name}
sweeper.src: W: invalid-url Source0: ftp://ftp.kde.org/pub/kde/stable/4.7.80/src/sweeper-4.7.80.tar.bz2 <urlopen error ftp error: 550 Failed to change directory.>
sweeper.x86_64: E: script-without-shebang /usr/share/applications/kde4/sweeper.desktop
sweeper.x86_64: W: no-manual-page-for-binary sweeper
3 packages and 0 specfiles checked; 1 errors, 3 warnings.

Source URL needs to be fixed, the rest is ok. The desktop files are executable
on purpose.
The macro-in-comment warning is caused by the  commented out URL line; remove if it not going to be used anymore.

OK - MUST: package is named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package in the format %{name}.spec
OK - MUST: package meets the Packaging Guidelines
OK - MUST: package is licensed with a Fedora approved license and meets the Licensing Guidelines: LGPLv2+
FIX - MUST: License field in the package spec file does not match the actual license: License is LGPLv2+ but license field is GPLv2+
FIX - MUST: source package includes the text of the license in its own file but that file is not included in %doc
OK - MUST: spec file is written in American English
OK - MUST: spec file for the package is legible
OK - MUST: sources match the upstream source, as provided in the spec URL by md5 b7cd188ee84e9900554d382683a7ef08
OK - MUST: package successfully compiles and builds into binary rpms on at least one primary architecture
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch
OK - MUST: all build dependencies are listed in BuildRequires
OK - MUST: spec file handles locales properly using %find_lang
N/A - MUST: package (or subpackage) stores shared library files in the dynamic linker's default paths and call ldconfig in %post and %postun
OK - MUST: package does not bundle copies of system libraries
OK - MUST: package is not designed to be relocatable
OK - MUST: package owns all directories that it creates
OK - MUST: package does not list a file more than once in the spec file's %files listings
OK - MUST: permissions on files are set properly
OK - MUST: package consistently use macros
OK - MUST: package contains code, or permissable content
N/A - MUST: large documentation files must go in a -doc subpackage
OK - MUST: files included as %doc do not affect the runtime of the application
N/A - MUST: header files are in -devel package
N/A - MUST: static libraries are in -static package
N/A - MUST: library files with a suffix are in -devel package
N/A - MUST: -devel package requires the base package using a fully versioned dependency
OK - MUST: package does not contain any .la libtool archives
OK - MUST: package contains a GUI applications and includes a %{name}.desktop file that is properly validated with desktop-file-validate in the %install section
OK - MUST: package does not own files or directories already owned by other packages
OK - MUST: all filenames in the package are valid UTF-8


SHOULD items

N/A - SHOULD: source package does not include license text(s) as a separate file from upstream, query upstream to include it
N/A - SHOULD: description and summary sections should contain translations for supported Non-English languages, if available
OK - SHOULD: package builds in mock
OK - SHOULD: package compiles and builds into binary rpms on all supported architectures
OK - SHOULD: package functions as described
N/A - SHOULD: scriptlets are sane: No scriptlets used
N/A - SHOULD: subpackages other than devel require the base package using a fully versioned dependency
N/A - SHOULD: pkgconfig(.pc) files are in -devel package
OK - SHOULD: package has no file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin
N/A - SHOULD: package contains man pages for binaries/scripts


OTHER items

OK - latest (un)stable version packaged
FIX - source URL invalid
OK - compiler flags ok
OK - debuginfo complete
N/A - package contains a pkgconfig(.pc) files and has 'Requires: pkgconfig'.


ISSUES

- Fix the license tag
- Include COPYING.LIB in package
- desktop-file-validate should be in %install not in %check
- package requires dbus-launch, but I am nut sure there is an indirect dependency on dbus-x11 already. Consider adding a direct one.


NOTES

- %setup -q -n %{name}-%{version} is the same as %setup -q
- consider adding a %clean section and a %defattr line for compatibility with
older versions of rpm


Please fix the issues and consider the package

APPROVED
Comment 3 Christoph Wickert 2011-11-28 17:50:27 EST
sweepter.desktop contains an empty key "X-DocPath". Please fix this to read "X-DocPath=sweepter/index.html".
Comment 4 Christoph Wickert 2011-11-28 18:16:34 EST
Argh, s/sweepter/sweeper
Comment 5 Rex Dieter 2011-12-05 02:09:07 EST
New Package SCM Request
=======================
Package Name: sweeper
Short Description: Clean unwanted traces the user leaves on the system
Owners: than jreznik ltinkl rnovacek rdieter kkofler
Branches: f16
Comment 6 Jon Ciesla 2011-12-05 07:58:05 EST
Git done (by process-git-requests).
Comment 7 Rex Dieter 2011-12-14 11:01:53 EST
imported.

Note You need to log in before you can comment on or make changes to this bug.